Subject: Re: [mobile-ip] MIPv4 NAT extension numbers

From: Henrik Levkowetz <[email-masked]>
Date: Mon, 5 May 2003 18:47:20 +0200

On Wed, 16 Apr 2003 12:44:26 +0300
Bjorn Andersson <[email-masked]> wrote:

> I recently noticed that the MIPv4 registration message extension
> numbers 42 and 142 have been allocated by the IANA for the UDP Tunnel
> Reply Extension and UDP Tunnel Request Extensions respectively.
> 
> As I have noted before on this list the numbers 51 and 151 have been
> used in interoperability tests between several implementations (at
> least three). Number 42 is again used by several implementations
> for the Generalized MN-HA Key Request extension as defined in
> draft-ietf-mobileip-aaa-key-11.txt.
> 
> To avoid incompatibilites of existing implementations and deployments,
> would it be possible to continue using these relatively widely used
> extensions numbers?

After checking around, I've come to the following list of *not* IANA
allocated MIPv4 extension numbers which are in use in various products:

40: Generalized MN-FA Key Request
	subtype 7: MN-FA Key Request From AAA
41: Generalized MN-FA Key Reply
	subtype 1: MN-FA Key Material From AAA
42: Generalized MN-HA Key Request
	subtype 7: MN-HA Key Request From AAA
43: Generalized MN-HA Key Reply
	subtype 7: MN-HA Key Material From AAA

132:
     Mobile-Foreign Challenge Extension
     (this is listed in the IANA page, but erroneously as a
      Router Advertisement extension, so doesn't show up
      in the Registration extensions list.)

150: Generalized NAI (discovery and registration messages)
	subtype 1: HA NAI
	subtype 2: FA NAI
	subtype 3: Previous FA NAI

There is one implementation which is using 51 and 151
for the NAT traversal extension codes, and another which is
using 42 and 142. The implementation with 51 and 151 has shipped,
but they say they can work it out if the numbers change. The
implemenation with 42 and 142 is a university implementation,
due for an upcoming demo, but no large deployment, and should
be easy to change.

So:

I'd propose taking the next number after the 40 - 43 series of Gen. AAA
for the NAT reply, i.e. 44; and to use 144 for the request (the request
extension should be ignorable, but not the reply extension). 

The 40-43 series should be marked as reserved until
draft-ietf-mobileip-aaa-key-xx is published as RFC, and the numbers can
be formally allocated by IANA. 

Extension number 132 should be listed as a registration message
extension rather than a router advertisement extension.

	Comments?

		Henrik

-- 
  "God split himself in a myriad parts that he might have friends." This
  may not be true, but it sounds good -- and is no sillier than any other
  theology.